/* **********************************************************
 * Copyright (C) 1999-2000 VMware, Inc.
 * All Rights Reserved
 * $Id: wslimits.h,v 1.2 2001/07/30 17:20:23 dilip Exp $
 * **********************************************************/

/*
 * Data structures related with enforcing limits on resource usage
 * in Workstation product.
 */

#ifndef _WSLIMITS_H_
#define _WSLIMITS_H_


#define WSLIMITS_HASH_SIZE 20
typedef struct WslimitsInfo {
   int32   memsize;   /* Memory size of this VM in MB */
   char    hash[WSLIMITS_HASH_SIZE];
} WslimitsInfo;

typedef void (WslimitsCallback)(WslimitsInfo *);

#endif
